import { Provider } from '@nestjs/common';
import { ITencentCloudModuleOptions, TencentCloudClient, ITencentCloudModuleAsyncOptions } from './types/client';
export declare class TencentCloudModule {
    static register<Client extends typeof TencentCloudClient>(tencentCloudModuleOptions: ITencentCloudModuleOptions<Client>): {
        module: typeof TencentCloudModule;
        global: boolean;
        providers: Provider[];
        exports: Provider[];
    };
    static registerAsync<Client extends typeof TencentCloudClient>(tencentCloudModuleAsyncOptions: ITencentCloudModuleAsyncOptions<Client>): Promise<{
        module: typeof TencentCloudModule;
        global: boolean;
        providers: Provider[];
        exports: Provider[];
    }>;
}
//# sourceMappingURL=tencent.module.d.ts.map