import { AbstractClient } from 'tencentcloud-sdk-nodejs/tencentcloud/common/abstract_client';
import { ClientConfig } from 'tencentcloud-sdk-nodejs/tencentcloud/common/interface';
export declare class TencentCloudClient extends AbstractClient {
    constructor(...args: any[]);
}
export interface ITencentCloudModuleOptionsClient<Client extends typeof TencentCloudClient> {
    client: Client;
    options: ClientConfig;
}
export interface ITencentCloudModuleOptions<Client extends typeof TencentCloudClient> {
    clients: ITencentCloudModuleOptionsClient<Client>[];
    global?: boolean;
}
export interface ITencentCloudModuleAsyncOptions<Client extends typeof TencentCloudClient> {
    useFactory: (...args: any[]) => Promise<ITencentCloudModuleOptions<Client>> | ITencentCloudModuleOptions<Client>;
    inject?: any[];
    global?: boolean;
}
export type ClientRepository<Client extends typeof TencentCloudClient> = InstanceType<Client>;
//# sourceMappingURL=client.d.ts.map